已安装的Flash Player不支持FlexBuilder2调试

更新时间:19-03-21 10:14 热度:189
 
Flex Builder 2: Installed Flash Player is Not a Debugger

[b]
问题[/b]

When you run Flex Builder 2 in debug mode you may receive an error “Installed Flash Player is Not a Debugger. Flex Builder cannot locate the required debug version of the Flash Player. You may need to install the debug version of the Flash Player 9.0 or reinstall Flex Builder. Do you want to try to debug with the current version?”

[img]http://www.flashplayer.org.cn/wp-content/uploads/2019/usr/vbdow0yamxa.jpg[/img]

[b]原因[/b]

该问题在特定条件下存在。即当你已安装从Adobe网站下载的标准版(版本号9.0.16.0 )或更高版本的Flash Player然后安装Flex Builder 2; 或者你已安装Flex Builder 2 然后更新从Adobe网站下载的标准版(版本号9.0.16.0 )或更高版本的Flash Player。

在一些特殊情况下,Flex Builder 2 安装程序在安装过程中不覆盖标准版的Flash Player。你必须按照以下步骤安装用于开发用途的Debug Flash Player。

[b]
解决方案[/b]

1.确定Flex Builder使用哪种Web浏览器来debug。
打开 Flex Builder 2
选中 Window-> Preferences
从 Preferences 树选中 General -> Web Browser。
确定哪个Web浏览器被选中用于Flex Buildeer调试程序。

注意: 你也许想要在IE中运行标准版 Flash Player, 在Firefox中调试 Flash Player 并将其作为标准的调试器,或者相反。

2.确定步骤1所选中的浏览器是否安装 debug Flash Player : www.adobe.com/products/flash/about/
在打开的Flash 动画中单击右键。如果已经安装debug Flash Player,你会在上下文菜单中看到”调试器”字样出现,如下图所示:
[img]http://www.flashplayer.org.cn/wp-content/uploads/2019/usr/jzrehrgweih.jpg[/img]

如果你已安装了版本号为 9.0.15.0的Debug Flash Player,或者你在使用Flex Builder 2携带的版本,应该升级到最新版本号为9.016.0的Debug Flash Player,如步骤3所示。

3.安装与步骤1发现的Web浏览器相匹配的debug Flash Player: www.adobe.com/support/flashplayer/downloads.html

4.重复步骤2,确认”调试器”字样已经在上下文菜单出现,表示你已安装了版本号为9.0.16.0的Debug Flash Player。

文章转自:https://blog.csdn.net/iteye_10298/article/details/81402720